NNG_PIPE_SOCKET(3)

NAME
nng_pipe_socket - return owning socket for pipe

SYNOPSIS

    #include <nng/nng.h>

    nng_socket nng_pipe_socket(nng_pipe p);

DESCRIPTION

The nng_pipe_socket() function returns the nng_socket associated with the pipe p.

    Note

    The returned socket may be closed or in the process of closing, in which case it will not be usable with other functions.

RETURN VALUES

This function returns the socket associated with the pipe.

ERRORS

None.

SEE ALSO

nng_pipe(5), nng_socket(5), nng(7)